Skip to main content
PATCH
Update Card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

card_id
string
required

Body

application/json

Schema for updating a card.

action_plan
string | null
assignee_id
string | null
description
string | null
details
string | null
due_date
string<date-time> | null
expected_behavior
string | null
knowledge_bases
Knowledge Bases · object[] | null
labels
string[] | null
linked_test_task_ids
string[] | null
observed_behavior
string | null
position
integer | null
priority
enum<string> | null

Card priority levels.

Available options:
critical,
very_high,
high,
medium,
low,
none
screen_mockups
ScreenMockup · object[] | null
severity
string | null
spec_id
string | null
sprint_id
string | null
status
enum<string> | null

Card status enum matching Kanban columns.

Available options:
not_started,
started,
in_progress,
validation,
on_hold,
done,
cancelled
steps_to_reproduce
string | null
test_scenario_ids
string[] | null
title
string | null
Required string length: 1 - 500

Response

Successful Response

Schema for card response.

assignee_id
string | null
required
board_id
string
required
created_at
string<date-time>
required
created_by
string
required
description
string | null
required
details
string | null
required
due_date
string<date-time> | null
required
id
string
required
labels
string[] | null
required
position
integer
required
priority
enum<string>
required

Card priority levels.

Available options:
critical,
very_high,
high,
medium,
low,
none
status
enum<string>
required

Card status enum matching Kanban columns.

Available options:
not_started,
started,
in_progress,
validation,
on_hold,
done,
cancelled
title
string
required
updated_at
string<date-time>
required
action_plan
string | null
architecture_designs
ArchitectureDesignSummary · object[]
archived
boolean
default:false
attachments
AttachmentResponse · object[]
card_type
string
default:normal
comments
CommentResponse · object[]
conclusions
ConclusionEntry · object[] | null
expected_behavior
string | null
knowledge_bases
Knowledge Bases · object[] | null
linked_test_task_ids
string[] | null
observed_behavior
string | null
origin_task_id
string | null
pre_archive_status
string | null
qa_items
QAResponse · object[]
screen_mockups
ScreenMockup · object[] | null
severity
string | null
spec_id
string | null
sprint_id
string | null
steps_to_reproduce
string | null
test_scenario_ids
string[] | null
validations
Validations · object[] | null
Last modified on May 17, 2026